#include <iostream>
#include <string>
using namespace std;
string a,b,c;
int i;
bool abc[3];
void BackTrack(int x,string &Mbroj,string s)
{
    if(x==4)
    {
        if(s.compare(Mbroj)>0)
            Mbroj=s;
    }
    else
    {
        if(abc[0]==false)
        {
            abc[0]=true;
            BackTrack(x+1,Mbroj,s+a);
            abc[0]=false;
        }
        if(abc[1]==false)
        {
            abc[1]=true;
            BackTrack(x+1,Mbroj,s+b);
            abc[1]=false;
        }
        if(abc[2]==false)
        {
            abc[2]=true;
            BackTrack(x+1,Mbroj,s+c);
            abc[2]=false;
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(NULL);
    cin.tie(NULL);
    cin>>a;
    cin>>b;
    cin>>c;
    string s="";
    BackTrack(1,s,"");
    cout<<s;
    return 0;
}